var config = {

	// Miniserver hostname
	miniserver: '192.168.1.10',
	// Miniserver credentials
	credentials: 'username:password',


	// Definition of tabs
	tabs: [
		{
			id: 'loxone',
			name: 'Loxone',
			type: 'external'
		},
		{
			id: 'lighting0',
			name: 'Lighting level 0',
			type: 'lighting'
		},
		{
			id: 'lighting1',
			name: 'Lighting level 1',
			type: 'lighting'
		},
		{
			id: 'strobe',
			name: 'Strobe control',
			type: 'general'
		},
		{
			id: 'detectors',
			name: 'Detectors',
			type: 'general'
		},
		{
			id: 'heating',
			name: 'Heating',
			type: 'general'
		},
		{
			id: 'music',
			name: 'Music',
			type: 'external'
		}
	],
	
	
	// Id of tab to show on first load
	defaultTab: 'heating',
	
	
	// Definition of each general tab
	general: {
		'strobe': {
			html: `
			<div id=strobecontrol>
				<table>
				<tr>
					<td>BPM:</td>
					<td colspan=2><input type=text data-control="Strobe BPM" data-keys="number" maxlength=8></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>BPM Rhythms:</td>
					<td><input type=radio data-control="Strobe BPM Rhythm 1" data-keys="asdfghjk"></td>
					<td><input type=radio data-control="Strobe BPM Rhythm 2" data-keys="qwertyuio"></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>Flash Duration:</td>
					<td colspan=2><input type=range data-control="Strobe Flash Duration"><output data-control="Strobe Flash Duration" data-display="output"></output></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>Rhythm Overlay:</td>
					<td colspan=2><input type=range data-control="Strobe Rhythm 2 Duration"><output data-control="Strobe Rhythm 2 Duration" data-display="output"></output></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>Active Lights:</td>
					<td colspan=2><select data-control="_Overhead lighting" data-room="Space Room"></select></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>Off Brightness:</td>
					<td colspan=2><input type=range data-control="Brightness" data-room="Space Room"><output data-control="Brightness" data-room="Space Room" data-display="output"></output></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>On Brightness:</td>
					<td colspan=2><input type=range data-control="Strobe Brightness"><output data-control="Strobe Brightness" data-display="output"></output></td>
					<td class=spacer></td>
				</tr>
				<tr>
					<td>Strobe On:</td>
					<td colspan=2><label for="Strobe-On">Continuous</label><input type=checkbox data-control="Strobe On" data-keys="enter">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type=button data-control="Strobe Pulse" value="Pulse" data-keys=" "></td>
					<td class=spacer></td>
				</tr>
				</table>
			</div>
			`
		},
		
		'detectors': {
			html: `
			<div id=rooms>
				<table class=heating>
				<tr>
					<th class=room>Location</th>
					<th>Trigger history</th>
					<th>Current&nbsp;</th>
				</tr>
				<tr>
					<td colspan=3 class=groupheading>Upstairs</td>
				</tr>
				<tr>
					<td class=room>Upstairs Hall - Entry</td>
					<td data-control="UHall Entry PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="UHall Entry PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Upstairs Hall - Stairs</td>
					<td data-control="UHall Stair PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="UHall Stair PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Shower Room</td>
					<td data-control="Shower PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="Shower PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Upstairs Toilet</td>
					<td data-control="US Toilet PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="US Toilet PiR" class=calign></td>
				</tr>
				<tr>
					<td colspan=3 class=groupheading>Downstairs</td>
				</tr>
				<tr>
					<td class=room>Downstairs Hall</td>
					<td data-control="D Hall PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="D Hall PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Utility Room</td>
					<td data-control="Utility PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="Utility PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Sei Washroom</td>
					<td data-control="Sei Toilet PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="Sei Toilet PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Ensuite</td>
					<td data-control="Ensuite PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="Ensuite PiR" class=calign></td>
				</tr>
				<tr>
					<td class=room>Ensuite Toilet</td>
					<td data-control="Ensuite T. PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="Ensuite T. PiR" class=calign></td>
				</tr>
				<tr>
					<td colspan=3 class=groupheading>External</td>
				</tr>
				<tr>
					<td class=room>Space Room</td>
					<td data-control="SpaceR. PiR" data-display=chart class=chart data-chartwidth=400></td>
					<td data-control="SpaceR. PiR" class=calign></td>
				</tr>
				<tr>
					<td data-chartcontrols colspan=3 class=groupheading></td>
				</tr>
				</table>
			</div>
			`
		},
		
		'heating': {
			html: `
			<div id=heatinginfo>
				<div id=thermalstore>
					<div class=buffer1>
						<span class=chart data-control="Buffer temp. 1" data-display=chart data-chartwidth=73></span><span class=temp data-control="Buffer temp. 1"></span>
					</div>
					<div class=buffer2>
						<span class=chart data-control="Buffer temp. 2" data-display=chart data-chartwidth=73></span><span class=temp data-control="Buffer temp. 2"></span>
					</div>
					<div class=buffer3>
						<span class=chart data-control="Buffer temp. 3" data-display=chart data-chartwidth=73></span><span class=temp data-control="Buffer temp. 3"></span>
					</div>
					<div class=buffer4>
						<span class=chart data-control="Buffer temp. 4" data-display=chart data-chartwidth=73></span><span class=temp data-control="Buffer temp. 4"></span>
					</div>
				</div>
				<table id=hasenergy>
				<tr>
					<td>Sufficient energy for<br>Domestic Hot Water</td>
					<td data-control="Buffer has energy (DHW)"></td>
				</tr>
				<tr>
					<td>Sufficient energy for<br>Skirting Heating</td>
					<td data-control="Buffer has energy (SKH)"></td>
				</tr>
				<tr>
					<td>Sufficient energy for<br>Underfloor Heating</td>
					<td data-control="Buffer has energy (UFH)"></td>
				</tr>
				</table>
				<div class=heading>Skirting Heating</div>
				<table class=heatingdata>
				<tr>
					<td colspan=2>
					Output:<div data-control="Heating output 2 (SKH)" data-display=bar data-barscale=1.5 class=output></div><div data-control="Heating output 2 (SKH)" data-display=chart class=outputchart></div></td>
				</tr>
				<tr>
					<td colspan=2>
					Base target flow temperature = <span data-control="Heating flow base target 2 (SKH)"></span><br>
					Target flow temperature = <span data-control="Heating flow target 2 (SKH)"></span><br>
					Actual flow temperature = <span data-control="Heating flow temp. 2 (SKH)"></span><br>
					Return temperature = <span data-control="Heating return temp. 2 (SKH)"></span> (<span data-control="Heating temp. drop 2 (SKH)" data-addplus></span>)<br>
					Flow mixer valve = <span data-control="Flow mixer valve 2 (SKH)"></span><br>
					<span data-control="Heating control 2 ErrMsg" data-function=showErrMsg colspan=2></span>
					</td>
				</tr>
				<tr>
					<td class=label>Status:</td>
					<td data-control="Heating mixer 2 (SKH)" data-function=formatAsList></td>
				</tr>
				<tr>
					<td class=label></td>
					<td data-control="Heating control 2 (SKH)" data-function=formatAsList></td>
				</tr>
				<tr>
					<td class=label>Pump:</td>
					<td data-control="Heating pump 2 (SKH)"></td>
				</tr>
				</table>
				<div class=heading>Underfloor Heating</div>
				<table class=heatingdata>
				<tr>
					<td colspan=2>
					Output:<div data-control="Heating output 1 (UFH)" data-display=bar data-barscale=1.5 class=output></div><div data-control="Heating output 1 (UFH)" data-display=chart class=outputchart></div></td>
				</tr>
				<tr>
					<td colspan=2>
					Base target flow temperature = <span data-control="Heating flow base target 1 (UFH)"></span><br>
					Target flow temperature = <span data-control="Heating flow target 1 (UFH)"></span><br>
					Actual flow temperature = <span data-control="Heating flow temp. 1 (UFH)"></span><br>
					Return temperature = <span data-control="Heating return temp. 1 (UFH)"></span> (<span data-control="Heating temp. drop 1 (UFH)" data-addplus></span>)<br>
					Flow mixer valve = <span data-control="Flow mixer valve 1 (UFH)"></span><br>
					<span data-control="Heating control 1 ErrMsg" data-function=showErrMsg colspan=2></span>
					</td>
				</tr>
				<tr>
					<td class=label>Status:</td>
					<td data-control="Heating mixer 1 (UFH)" data-function=formatAsList></td>
				</tr>
				<tr>
					<td class=label></td>
					<td data-control="Heating control 1 (UFH)" data-function=formatAsList></td>
				</tr>
				<tr>
					<td class=label>Pump:</td>
					<td><span data-control="Heating pump 1 (UFH)"></span>&nbsp; (<span data-control="Heating pump 1 duty cycle"></span> duty cycle)</td>
				</tr>
				</table>
			</div>
			<div id=rooms>
				<table class=heating>
				<tr>
					<th class=room>Room</th>
					<th colspan=2>Actual<br>temperature</th>
					<th>Target<br>temperature</th>
					<th>Heating<br>output</th>
					<th>Act. duty<br>cycle</th>
					<th>Actuator<br>state</th>
					<th>Boost<br>heating&nbsp;</th>
				</tr>
				<tr>
					<td colspan=7 class=groupheading>Upstairs</td>
					<td class=groupheading></td>
				</tr>
				<tr data-looproom="Living Area,Snug,Upstairs Hall,Attic">
					<td data-thisroom class=room></td>
					<td data-control="Current temperature" data-display=chart class=chart></td>
					<td data-control="Current temperature" class=temperature></td>
					<td data-control="Target temperature" data-suppresserrors></td>
					<td data-control="Heating output" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator duty cycle" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator state" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Boost heating" data-suppresserrors class=boost></td>
				</tr>
				<tr>
					<td colspan=7 class=groupheading>Downstairs</td>
					<td class="groupheading boost" data-control="Boost heating (DS)"></td>
				</tr>
				<tr data-looproom="Master Bedroom,Ensuite,In Between Room,Sei Bedroom,Utility Room,Downstairs Hall">
					<td data-thisroom class=room></td>
					<td data-control="Current temperature" data-display=chart class=chart></td>
					<td data-control="Current temperature" class=temperature></td>
					<td data-control="Target temperature" data-suppresserrors></td>
					<td data-control="Heating output" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator duty cycle" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator state" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
				</tr>
				<tr>
					<td colspan=7 class=groupheading>External</td>
					<td class=groupheading></td>
				</tr>
				<tr data-looproom="Space Room,Cottage">
					<td data-thisroom class=room></td>
					<td data-control="Current temperature" data-display=chart data-suppresserrors class=chart></td>
					<td data-control="Current temperature" data-suppresserrors class=temperature></td>
					<td data-control="Target temperature" data-suppresserrors></td>
					<td data-control="Heating output" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator duty cycle" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
					<td data-control="Actuator state" data-display=bar data-barscale=0.5 data-suppresserrors class=barcont></td>
				</tr>
				<tr>
					<td data-thisroom class=room>Exterior</td>
					<td data-control="Tunnel temperature" data-room="Exterior" data-display=chart class=chart></td>
					<td data-control="Tunnel temperature" data-room="Exterior" class=temperature></td>
				</tr>
				<tr>
					<td data-chartcontrols colspan=7 class=groupheading></td>
					<td class=groupheading></td>
				</tr>
				</table>
			</div>
			`
		}
	},
	

	// Definition of each lighting tab
	lighting: {
		lighting0: {
			img: 'config/level_0.png',
			imgsize: [2048, 984],
			lights: [
				// Downstairs Hall
				{
					areas: [['circle', 1156,363, 10], ['circle', 1156,509, 10]],
					room: 'Downstairs Hall',
					control: '_Downlights',
					subcontrol: 'Downstairs Hall',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 1149,148, 10]],
					room: 'Downstairs Hall',
					control: '_Downlights',
					subcontrol: 'Stairs',
					group: 'Downstairs Hall brightness'
				},
				
				// Ensuite
				{
					areas: [['circle', 1305, 125, 10], ['circle', 1508, 125, 10]],
					room: 'Ensuite',
					control: 'Bathroom & Shower',
					subcontrol: 'Bath',
					group: 'Ensuite brightness'
				},
				{
					areas: [['circle', 1400,198, 10]],
					room: 'Ensuite',
					control: 'Bathroom & Shower',
					subcontrol: 'Centre',
					group: 'Ensuite brightness'
				},
				{
					areas: [['circle', 1305, 272, 10], ['circle', 1508, 272, 10]],
					room: 'Ensuite',
					control: 'Bathroom & Shower',
					subcontrol: 'Basin',
					group: 'Ensuite brightness'
				},
				{
					areas: [['circle', 1440,389, 10]],
					room: 'Ensuite',
					control: 'Bathroom & Shower',
					subcontrol: 'Shower',
					group: 'Ensuite brightness'
				},
				{
					areas: [['rect', 1269,80, 1532,90]],
					room: 'Ensuite',
					control: 'Bathroom & Shower',
					subcontrol: 'Floor',
					group: 'Ensuite brightness'
				},
				{
					areas: [['circle', 1312,371, 10]],
					room: 'Ensuite',
					control: 'Toilet',
					subcontrol: 'Toilet',
					subcontrolonly: true
				},
				
				// Exterior
				{
					areas: [['rect', 617,823, 771,833], ['rect', 972,823, 1127,833], ['rect', 1328,823, 1483,833], ['rect', 1684,823, 1838,833]],
					room: 'Exterior',
					control: 'Tunnel'
				},
				{
					areas: [['rect', 205,85, 215,239], ['rect', 415,85, 425,239], ['rect', 205,279, 215,433], ['rect', 415,279, 425,433], ['rect', 415,548, 425,703]],
					room: 'Exterior',
					control: 'Woodshed'
				},
				
				// In Between Room
				{
					areas: [['circle', 1306,567, 10]],
					room: 'In Between Room',
					control: '_Downlights',
					subcontrol: 'Downlight 1',
					group: 'In Between Room brightness'
				},
				{
					areas: [['circle', 1400,567, 10]],
					room: 'In Between Room',
					control: '_Downlights',
					subcontrol: 'Downlight 2',
					group: 'In Between Room brightness'
				},
				{
					areas: [['circle', 1509,567, 10]],
					room: 'In Between Room',
					control: '_Downlights',
					subcontrol: 'Downlight 3',
					group: 'In Between Room brightness'
				},
				
				// Master Bedroom
				{
					areas: [['circle', 1630,166, 10], ['circle', 1752,166, 10]],
					room: 'Master Bedroom',
					control: 'Downlights',
					subcontrol: 'Bed left',
					group: 'Master Bedroom downlights brightness'
				},
				{
					areas: [['circle', 1874,166, 10]],
					room: 'Master Bedroom',
					control: 'Downlights',
					subcontrol: 'Corner left',
					group: 'Master Bedroom downlights brightness'
				},
				{
					areas: [['circle', 1874,300, 10], ['circle', 1874,430, 10]],
					room: 'Master Bedroom',
					control: 'Downlights',
					subcontrol: 'By sliding door',
					group: 'Master Bedroom downlights brightness'
				},
				{
					areas: [['circle', 1874,567, 10]],
					room: 'Master Bedroom',
					control: 'Downlights',
					subcontrol: 'Corner right',
					group: 'Master Bedroom downlights brightness'
				},
				{
					areas: [['circle', 1630,567, 10], ['circle', 1752,567, 10]],
					room: 'Master Bedroom',
					control: 'Downlights',
					subcontrol: 'Bed right',
					group: 'Master Bedroom downlights brightness'
				},
				{
					areas: [['rect', 1549,250, 1559,302]],
					room: 'Master Bedroom',
					control: 'Reading light left'
				},
				{
					areas: [['rect', 1549,431, 1559,483]],
					room: 'Master Bedroom',
					control: 'Reading light right'
				},
				{
					areas: [['rect', 1571,245, 1781,488]],
					room: 'Master Bedroom',
					control: 'Star ceiling'
				},
				
				// Sei Bedroom
				{
					areas: [['circle', 695,161, 10], ['circle', 695,314, 10]],
					room: 'Sei Bedroom',
					control: 'Downlights',
					subcontrol: 'Downlights 1',
					group: 'Sei Bedroom brightness'
				},
				{
					areas: [['circle', 824,161, 10], ['circle', 824,314, 10]],
					room: 'Sei Bedroom',
					control: 'Downlights',
					subcontrol: 'Downlights 2',
					group: 'Sei Bedroom brightness'
				},
				{
					areas: [['circle', 953,161, 10], ['circle', 953,314, 10]],
					room: 'Sei Bedroom',
					control: 'Downlights',
					subcontrol: 'Downlights 3',
					group: 'Sei Bedroom brightness'
				},
				
				// Sei Washroom
				{
					areas: [['circle', 1089,194, 10]],
					room: 'Sei Washroom',
					control: '_Downlight',
					subcontrol: ' Downlight',
					group: 'Sei Washroom brightness',
					subcontrolonly: true
				},
				
				// Utility Room
				{
					areas: [['rect', 630,552, 785,562]],
					room: 'Utility Room',
					control: 'Plant Room'
				},
				{
					areas: [['rect', 891,552, 1046,562]],
					room: 'Utility Room',
					control: 'Utility Room',
					subcontrol: 'Utility Room',
					subcontrolonly: true
				}
			],
			groups: {
				'Downstairs Hall brightness': {
					room: 'Downstairs Hall',
					control: 'Brightness'
				},
				'Ensuite brightness': {
					room: 'Ensuite',
					control: 'Brightness'
				},
				'In Between Room brightness': {
					room: 'In Between Room',
					control: 'Brightness'
				},
				'Master Bedroom downlights brightness': {
					room: 'Master Bedroom',
					control: 'Downlights brightness'
				},
				'Sei Bedroom brightness': {
					room: 'Sei Bedroom',
					control: 'Brightness'
				},
				'Sei Washroom brightness': {
					room: 'Sei Washroom',
					control: 'Brightness'
				},
				'Upstairs Hall brightness': {
					room: 'Upstairs Hall',
					control: 'Brightness'
				}
			},
			detectors: [
				// Downstairs Hall
				{
					areas: [['circle', 1156,436, 10]],
					room: 'Downstairs Hall',
					control: 'D Hall PiR'
				},
				
				// Ensuite
				{
					areas: [['circle', 1400, 272, 10]],
					room: 'Ensuite',
					control: 'Ensuite PiR'
				},
				{
					areas: [['circle', 1312,420, 10]],
					room: 'Ensuite',
					control: 'Ensuite T. PiR'
				},
				
				// Sei Washroom
				{
					areas: [['circle', 1089,225, 10]],
					room: 'Sei Washroom',
					control: 'Sei Toilet PiR'
				},
				
				// Utility Room
				{
					areas: [['circle', 936,473, 10]],
					room: 'Utility Room',
					control: 'Utility PiR'
				}
			]
		},
		lighting1: {
			img: 'config/level_1.png',
			imgsize: [2048, 1897],
			lights: [
				// Exterior
				{
					areas: [['rect', 2022,87, 2032,707]],
					room: 'Exterior',
					control: 'Gable',
					group: 'Exterior colours'
				},
				{
					areas: [['rect', 548,800, 1976,810]],
					room: 'Exterior',
					control: 'Eaves',
					group: 'Exterior colours'
				},
				{
					areas: [['rect', 15,1489, 38,1518]],
					room: 'Exterior',
					control: 'Back of cottage'
				},
				
				// Living Area
				{
					areas: [['rect', 1270,75, 1930,85], ['rect', 1125,708, 1930,718]],
					room: 'Living Area',
					control: 'Colours',
					subcontrol: 'Colour'
				},
				{
					areas: [['rect', 1170,643, 1180,698]],
					room: 'Living Area',
					control: 'Kitchen cupboard',
					subcontrol: 'Kitchen cupboard'
				},
				{
					areas: [['rect', 1267,391, 1923,401]],
					room: 'Living Area',
					control: 'Ridge light'
				},
				{
					areas: [['rect', 1170,445, 1180,637], ['rect', 1365,451, 1581,461], ['rect', 1365,531, 1581,541]],
					room: 'Living Area',
					control: 'Kitchen plinth lights'
				},
				{
					areas: [['rect', 1617,90, 1930,100], ['rect', 1929,90, 1939,700]],
					room: 'Living Area',
					control: 'Window seat lights'
				},
				{
					areas: [['circle', 1236,578, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Ovens',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1196, 692, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Corner',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1275, 692, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Dishwasher',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1354, 692, 10], ['circle', 1433, 692, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Sink to Hob',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1511, 643, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Hob',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1590, 692, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Tea area',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1399,497, 10], ['circle', 1481,497, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Island',
					group: 'Kitchen downlights brightness'
				},
				{
					areas: [['circle', 1562,497, 10]],
					room: 'Living Area',
					control: 'Kitchen downlights',
					subcontrol: 'Island seating',
					group: 'Kitchen downlights brightness'
				},
				
				// Shower Room
				{
					areas: [['circle', 750,150, 10], ['circle', 858,150, 10]],
					room: 'Shower Room',
					control: '_Downlights',
					subcontrol: 'Sink and Toilet',
					group: 'Shower Room brightness'
				},
				{
					areas: [['circle', 643,150, 10]],
					room: 'Shower Room',
					control: '_Downlights',
					subcontrol: 'Shower',
					group: 'Shower Room brightness'
				},
				
				// Snug
				{
					areas: [['rect', 605,439, 615,696]],
					room: 'Snug',
					control: '_Lighting',
					subcontrol: 'Back wall',
					group: 'Snug brightness'
				},
				{
					areas: [['rect', 814,439, 824,696]],
					room: 'Snug',
					control: '_Lighting',
					subcontrol: 'Middle',
					group: 'Snug brightness'
				},
				{
					areas: [['rect', 1046,520, 1056,703]],
					room: 'Snug',
					control: '_Lighting',
					subcontrol: 'Cupboard and Ceiling',
					group: 'Snug brightness'
				},
				
				// Space Room
				{
					areas: [['rect', 214,242, 318,252], ['rect', 214,260, 318,270]],
					room: 'Space Room',
					control: '_Overhead lighting',
					subcontrol: 'WW1',
					group: 'Space Room brightness'
				},
				{
					areas: [['rect', 214,545, 318,555], ['rect', 214,562, 318,572]],
					room: 'Space Room',
					control: '_Overhead lighting',
					subcontrol: 'WW2',
					group: 'Space Room brightness'
				},
				{
					areas: [['rect', 214,846, 318,856], ['rect', 214,864, 318,874]],
					room: 'Space Room',
					control: '_Overhead lighting',
					subcontrol: 'WW3',
					group: 'Space Room brightness'
				},
				{
					areas: [['rect', 124,1137, 257,1147], ['rect', 275,1137, 409,1147]],
					room: 'Space Room',
					control: '_Overhead lighting',
					subcontrol: 'WW4',
					group: 'Space Room brightness'
				},
				
				// Upstairs Hall
				{
					areas: [['circle', 654,273, 10], ['circle', 654,366, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Upstairs Hall 1',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 789,273, 10], ['circle', 789,366, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Upstairs Hall 2',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 924,273, 10], ['circle', 924,366, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Upstairs Hall 3',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 1061,273, 10], ['circle', 1061,366, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Upstairs Hall 4',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 1197,273, 10], ['circle', 1197,366, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Upstairs Hall 5',
					group: 'Upstairs Hall brightness'
				},
				{
					areas: [['circle', 1149,148, 10]],
					room: 'Upstairs Hall',
					control: '_Downlights',
					subcontrol: 'Stairs',
					group: 'Upstairs Hall brightness'
				},
				
				// Upstairs Toilet
				{
					areas: [['circle', 982,159, 10]],
					room: 'Upstairs Toilet',
					control: '_Downlight',
					subcontrol: ' Downlight',
					group: 'Upstairs Toilet brightness',
					subcontrolonly: true
				}
			],
			groups: {
				'Kitchen downlights brightness': {
					room: 'Living Area',
					control: 'Kitchen downlights brightness'
				},
				'Exterior colours': {
					room: 'Exterior',
					control: 'Exterior colours'
				},
				'Shower Room brightness': {
					room: 'Shower Room',
					control: 'Brightness'
				},
				'Snug brightness': {
					room: 'Snug',
					control: 'Brightness'
				},
				'Space Room brightness': {
					room: 'Space Room',
					control: 'Brightness'
				},
				'Upstairs Hall brightness': {
					room: 'Upstairs Hall',
					control: 'Brightness'
				},
				'Upstairs Toilet brightness': {
					room: 'Upstairs Toilet',
					control: 'Brightness'
				}
			},
			detectors: [
				// Shower Room
				{
					areas: [['circle', 804,150, 10]],
					room: 'Shower Room',
					control: 'Shower PiR'
				},
				
				// Space Room
				{
					areas: [['circle', 266,1000, 10]],
					room: 'Space Room',
					control: 'SpaceR. PiR'
				},
				
				// Upstairs Hall
				{
					areas: [['circle', 721,320, 10]],
					room: 'Upstairs Hall',
					control: 'UHall Entry PiR'
				},
				{
					areas: [['circle', 1129,320, 10]],
					room: 'Upstairs Hall',
					control: 'UHall Stair PiR'
				},
				
				// Upstairs Toilet
				{
					areas: [['circle', 982,125, 10]],
					room: 'Upstairs Toilet',
					control: 'US Toilet PiR'
				}
			]
		}
	},
	

	// Definition of each external tab
	external: {
		loxone: {
			url: 'http://192.168.1.10/'
		},
		music: {
			url: 'http://192.168.1.23:9000/?player=00:00:00:00:00:01',
			wol: {
				control: 'Wake music server'
			},
			unload: 300
		}
	},
	
	
	// Function definitions for user defined value formatting in general tabs
	formatAsList: function(v) {
		try {
			if (v == '') {
				return '';
			}
			return '<ul><li>'+v.replace(/, /g, '<li>').replace(/=/g, ' = ').replace(/C/g, '°')+'</ul>';
		}
		catch (e) {
			return v;
		}
	},
	showErrMsg: function(v) {
		if (v != 'Start') {
			return v;
		} else {
			return '';
		}
	}
};